| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | List of all members
cv::face::FacemarkLBF Class Reference
Face Analysis

`#include <opencv2/face/facemarkLBF.hpp>`

Collaboration diagram for cv::face::FacemarkLBF:

## Classes
class | BBox
struct | Params

## Public Member Functions
virtual | ~FacemarkLBF ()
Public Member Functions inherited from cv::face::FacemarkTrain
virtual bool | addTrainingSample (InputArray image, InputArray landmarks)=0
| Add one training sample to the trainer.
virtual bool | getData (void *items=0)=0
| Get data from an algorithm.
virtual bool | getFaces (InputArray image, OutputArray faces)=0
| Detect faces from a given image using default or user defined face detector. Some Algorithm might not provide a default face detector.
virtual bool | setFaceDetector (FN_FaceDetector detector, void *userData=0)=0
| Set a user defined face detector for the Facemark algorithm.
virtual void | training (void *parameters=0)=0
| Trains a Facemark algorithm using the given dataset. Before the training process, training samples should be added to the trainer using face::addTrainingSample function.
Public Member Functions inherited from cv::face::Facemark
virtual bool | fit (InputArray image, InputArray faces, OutputArrayOfArrays landmarks)=0
| Detect facial landmarks from an image.
virtual void | loadModel (String model)=0
| A function to load the trained model before the fitting process.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< FacemarkLBF > | create (const FacemarkLBF::Params &parameters=FacemarkLBF::Params())
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Constructor & Destructor Documentation

## ◆ ~FacemarkLBF()

virtual cv::face::FacemarkLBF::~FacemarkLBF | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ create()

static Ptr< FacemarkLBF > cv::face::FacemarkLBF::create | ( | const FacemarkLBF::Params & | parameters = FacemarkLBF::Params() | ) |
| static

The documentation for this class was generated from the following file:

- opencv2/face/facemarkLBF.hpp